SHUF(1)

NAZWA
shuf - tworzy losowe permutacje

SKŁADNIA
shuf [OPCJA]... [PLIK]
shuf -e [OPCJA]... [ARGUMENTY]...
shuf -i DOLNA-GÓRNA [OPCJA]...

OPIS

Wypisuje losową permutację wierszy wejściowych na standardowe wyjście.

Jeśli nie podano PLIKU lub jako PLIK podano -, czyta standardowe wejście.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-e, --echo
    traktuje każdy ARGUMENT jak wiersz wejściowy

-i, --input-range=DOLNA-GÓRNA
    traktuje każdą liczbę od DOLNEJ do GÓRNEJ jako wiersz wejściowy

-n, --head-count=LICZBA
    wypisuje co najwyżej LICZBĘ wierszy

-o, --output=PLIK
    wypisuje wynik do PLIKU zamiast na standardowe wyjście

--random-source=PLIK
    pozyskuje losowe bajty z PLIKU

-r, --repeat
    wypisywane wiersze mogą się powtarzać

-z, --zero-terminated
    kończy wiersze bajtem NUL, zamiast znakiem nowego wiersza

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

AUTOR
Napisane przez Paula Eggerta.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia poinformuj przez <https://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2020 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja: <https://www.gnu.org/software/coreutils/shuf>
lub lokalnie, za pomocą info '(coreutils) shuf invocation'

T◈UMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.